• 622阅读
  • 7回复

[P6 16版本]新版本P6的SDK安装成功却无法使用,是怎么回事? [复制链接]

上一主题 下一主题
 

只看楼主 倒序阅读 0楼 发表于: 08-17
新版本P6的SDK无法使用,是怎么回事? n^55G>"0|  
      一直在使用P6 V7.0,有时会在Access中用ODBC数据源链接到SDK,利用OFFICE办公软件处理数据的便利性做一下处理工作,减少P6数据手工输机量。前段时间从Oracle网站下载了32位的P6 17.12,我的操作系统是32位windows 7专业版,装上后一切正常,数据库包括SDK配置也显示成功,软件试用正常。唯一的问题就是一旦通过ODBC数据源链接SDK就报错,类似于“[ATI][OpenRDA ODBC]RDA error: Resource not available”错误提示或者是文件直接终止退出。在论坛查了下,有贴子提示:http://www.p3bbs.com/read.php?tid-3697.html |yj0Rv  
To implement the solution, please execute the following steps: gd%Ho8,T  
1.Navigate to C:\Program Files (x86)\Oracle\Primavera P6\P6 Professional #{k+^7aQ  
2.Copy the sqlite3.dll file. o?= &kx  
3.Navigate to C:\Windows\SysWOW64 z~2;u 5S&  
4.Paste the sqlite3.dll file. m^RO*n.  
5.Retest the issue. .k up[d(  
但我的是32位操作系统,并没有找到SysWOW64文件夹。所以也没有解决问题。又下载了32位的P6 16.2安装,问题一样。而安装P6 V7.0一切正常,包括SDK。查了一下P6 17.12的SDK帮助文件,好像是支持OFFICE配置和链接的,真搞不懂是什么原因。看来这么多版本还是P6 V7.0稳定性最好,各种bug最少。 AEFd,;GF  
另外想问下大家,有安装P6 17.12或者P6 16.2 SDK使用成功的吗?如果有,是否能够指点一下,非常感谢。 ^x( s !4d]  

只看该作者 1楼 发表于: 08-17
另外,P617.12用sql server 和oracle数据库各装了一遍,还是老问题,sdk安装成功,就是没办法用,使用就出错。而P6v7.0都不存在这些问题,确实稳定。

只看该作者 2楼 发表于: 08-19
有人说新版本不支持了,但P6 17.12的SDK帮助文件明确表示支持,并给出了用 MS Access 链接的例子。难到是成了摆设了吗? ]Tn""3#1g  

只看该作者 3楼 发表于: 08-19

只看该作者 4楼 发表于: 08-20
找个64位环境测试一下?
论坛十周年庆!

只看该作者 5楼 发表于: 08-21
回 检查用户名 的帖子
检查用户名:找个64位环境测试一下? (2019-08-20 10:16)  =#[t!-@  
E9Dy)f]#W  
用64位windows10操作系统试了一下,64位的P6 17.12安装选项里并没有Primavera Software Development Kit 即SDK的安装。 /3 VO!V]u  
按32位的P6 17.2安装,软件可以用,但还是不能链接SDK,问题跟32位操作系统试下一样。 f9 :=6  
如果选64位的P6 17.12和32位的SDK安装,还是同样问题。 N U+PG`Vb  
<a&xhG}  

只看该作者 6楼 发表于: 09-29
回 lt6972yqf 的帖子
lt6972yqf:用64位windows10操作系统试了一下,64位的P6 17.12安装选项里并没有Primavera Software Development Kit 即SDK的安装。 Ww{-(Ktx  
按32位的P6 17.2安装,软件可以用,但还是不能链接SDK,问题跟32位操作系统试下一样。 Me;Nn$'%  
如果选64位的P6 17.12和32位的SDK安装,还是同样问题。
....... (2019-08-21 08:49)  uuCVI2|  
/J,&G: E r  
b|`  
新版本建议放弃SDK,从15.1开始就不使用了,直接用api 或 ws y|wR)\  
H {Na'_sL  
N年前曾问过Oracle,兼容性问题
Primavera P6PU Support Specialist || E-mail: kangpingchn@gmail.com & Phone/Wechat: 18620728408 || Blog: https://blog.csdn.net/kping0306

只看该作者 7楼 发表于: 10-15
谢谢指点。不过感觉既然都不支持了,这个功能还放在安装文件里,并且还可以正常安装,这太容易误导人了。
快速回复
限1000 字节
 
上一个 下一个